* {
    font-family: "Eagle Lake", serif;
}

@keyframes fadeInPage {
  from { opacity: 0; }
  to { opacity: 1; }
}

body{
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background: url('../index/img/backgrounds/berk_2.png') no-repeat center center; background-size: cover;
    animation: fadeInPage 0.5s ease-in;
}

.menu {
    list-style: none;
    display: flex;
    gap: 20px;
    justify-content: space-evenly;
    margin: 20px;
    margin-top: 20px;
    margin-bottom: 5px;
    padding: 10px;
}

.menu a {
    text-decoration: none;
    color: #DC1C13;
    font-size: 20px;
    font-weight: bold;
}

.menu a:hover {
    color: #ffffff;
    transition: 0.3s;
}

.menu li {
    padding: 15px;
    border: 3px solid #DC1C13;
    border-radius: 10px;
    background-color: #F7CC7E;
}

.menu li:hover {
    background-color: #ff8133;
    color: #F7CC7E;
    transition: 0.3s;

}

#menu-toggle, .icon {
    display: none;
}

main {
    display: flex;       
    flex-direction: row; 
    flex-wrap: wrap;     
    gap: 20px;          
    padding: 20px;
    flex: 1 0 auto;
}

.intro_content {
    flex: 1;
    display: flex;
    flex-direction: row;            
    min-width: 250px;    
    padding: 40px;
    margin: 20px;
    margin-top: 0px;
    border: 3px solid #DC1C13;
    border-radius: 20px;
    background-color: #F7CC7E95;
    text-decoration: none;
    justify-content: space-between;
}

form {
    padding: 40px;
    margin: 20px;
    margin-top: 0px;
    border: 3px solid #DC1C13;
    border-radius: 20px;
    background-color: #F7CC7E95;
    text-decoration: none;
}

.intro_content_register {
    flex: 1;
    display: flex;
    flex-direction: column;            
    min-width: 250px;    
    padding: 40px;
    margin: 20px;
    margin-top: 0px;
    border: 3px solid #DC1C13;
    border-radius: 20px;
    background-color: #F7CC7E95;
    text-decoration: none;
    align-items: center;
    justify-content: center;
}

.logo_register {
    max-width: 300px;
    height: auto;
    margin: 0 auto;
}

.form_field {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}

.radio_label {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

input, select, button {
    padding: 10px;
    border: 1px solid #DC1C13;
    border-radius: 10px;
    background-color: #F7CC7E;
    font-size: 16px;
}

label {
    margin: 10px 0;
    font-size: 18px;
    color: #000000;
    display: flex;
}

p {
    margin: 10px 0;
    font-size: 18px;
    color: #000000;
}

button {
    cursor: pointer;
    border: 3px solid #DC1C13;
    font-weight: bold;
    width: 8em;
    padding: .5em;
    margin-top: 1em;
    font-weight: bold;
}

button:hover {
        background-color: #ff8133;
        color: #ffffff;
        transition: 0.3s;
    }

.logo {
    max-width: 500px;
    height: auto;
    margin: 0 auto;
}








.footer {
    background: linear-gradient(to bottom, #F7CC7E 0%, #ff8133 100%);
    padding: 1px;
    margin-top: 5px;
    text-align: center;
    line-height: 70px;
    padding: 0 20px;
}

.footer a {
    text-decoration: none;
    color: #DC1C13;
    font-size: 20px;
    font-weight: bold;
}

.footer a:hover {
    color: #ffffff;
    transition: 0.3s;
}

@media (max-width:1133px) {
    main section {
        margin: 0px;
    } 

    .intro_content {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding: 10px;   
    }

    .menu {
		display: none;
        flex-direction: column;
    }

    .footer a {
        font-size: 15px;
    }

    .menu {
		display: none;
        flex-direction: column;
    }

    .icon {
        display: block;
        padding: 15px;
        border: 3px solid #DC1C13;
        border-radius: 10px;
        background-color: #F7CC7E;
        margin-right: 20px;
        margin-left: 20px;
        margin-top: 10px;
        font-size: 24px;
        cursor: pointer;
    }

    #menu-toggle:checked + .icon + .menu {
        display: flex;
    }

    .logo {
        max-width: 250px;
        height: auto;
        margin: 15px 0 15px 0;
    }

    .form_field {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    form {
        border: 1px solid #DC1C13;
        padding: 10px;
        margin: 0px;
    }

    .radio_label {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
    }

    label {
        margin: 10px 0;
        font-size: 16px;
        color: #000000;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    p {
        margin: 10px 0;
        font-size: 16px;
        color: #000000;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .intro_content_register {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding: 20px;  
    }

    .logo_register {
        max-width: 250px;
        height: auto;
        margin: 0 auto;
    }

}

